Network Node - Get Interfaces For GivenNode

按节点 ID 和请求类型检索网络节点的数据。

GET http://<Servername>/OperationsManager/NetworkNode/{nodeId}/{requestType}

URI 参数

名称 必需 类型 说明
nodeId
path True

string

指定节点 ID。

requestType
path True

string

指定以下属性之一 (healthofinterfaces, averageavailability)

响应

名称 类型 说明
200 OK

object

好的

Media Types: "application/json", "text/json", "application/xml", "text/xml"

示例

GetInterfacesForGivenNode For averageavailability
GetInterfacesForGivenNode For healthofinterfaces

GetInterfacesForGivenNode For averageavailability

示例请求

GET http://<Servername>/OperationsManager/NetworkNode/66294d70-467c-d7f7-d30e-c01246367e81/averageavailability

示例响应

[
  {
    "nodeId": null,
    "today": 100,
    "yesterday": 100,
    "lastSevenDays": 100,
    "lastThirtyDays": 100
  }
]

GetInterfacesForGivenNode For healthofinterfaces

示例请求

GET http://<Servername>/OperationsManager/NetworkNode/66294d70-467c-d7f7-d30e-c01246367e81/healthofinterfaces

示例响应

[
  {
    "description": "GigabitEthernet0/28",
    "sentBitsPerSecond": "NaN",
    "receivedBitsPerSecond": "NaN",
    "interfaceId": "e283c15f-7773-8146-b2f6-37bf97443404",
    "interfaceName": "PORT-10128",
    "interfaceState": "notmonitored"
  },
  {
    "description": "GigabitEthernet0/40",
    "sentBitsPerSecond": "NaN",
    "receivedBitsPerSecond": "NaN",
    "interfaceId": "26b2a0fb-f4e2-0f63-acbe-538b87759277",
    "interfaceName": "PORT-10140",
    "interfaceState": "notmonitored"
  }
]